Summary:        CPU Frequency changing related utilities
Name:           cpufreq-utils
Version:        0.4
Release: 1.%(R="$Revision: 1.23 $"; RR="${R##: }"; echo ${RR%%?})
Epoch:          1
Group:          System Environment/Base
License:        GPL
Source:         cpufrequtils-%{version}.tar.bz2
Patch0:         disable-gsic.patch
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  sysfsutils-devel
# pulls in automake and autoconf
BuildRequires:  libtool
ExclusiveArch:  %{ix86} x86_64 ppc ppc64

%description
cpufreq-utils contains several utilities that can be used to control
the cpufreq interface provided by the kernel on hardware that
supports CPU frequency scaling.

%prep
%setup -q -n cpufrequtils-%{version}
%patch0 -p1

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"
%ifarch %{ix86}
cd debug/i386
make CFLAGS="$RPM_OPT_FLAGS"
%endif
%ifarch x86_64
cd debug/x86_64
make CFLAGS="$RPM_OPT_FLAGS"
%endif
cd ..

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=%{buildroot} install
%find_lang cpufrequtils

%ifarch %{ix86}
cd debug/i386
install centrino-decode %{buildroot}%{_bindir}/centrino-decode
install dump_psb %{buildroot}%{_bindir}/dump_psb
install powernow-k8-decode %{buildroot}%{_bindir}/powernow-k8-decode
cd ../..
%endif
%ifarch x86_64
cd debug/x86_64
install powernow-k8-decode %{buildroot}%{_bindir}/powernow-k8-decode
cd ../..
%endif

chmod -R a-s %{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT;

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f cpufrequtils.lang
%defattr(-,root,root,0755)
%{_includedir}/cpufreq.h
%{_libdir}/libcpufreq.la
%{_libdir}/libcpufreq.so*
%{_bindir}/cpufreq-info
%{_bindir}/cpufreq-set
%ifarch %{ix86}
%{_bindir}/centrino-decode
%{_bindir}/dump_psb
%endif
%ifarch %{ix86} x86_64
%{_bindir}/powernow-k8-decode
%endif
%{_mandir}/man1/cpufreq-info.1*
%{_mandir}/man1/cpufreq-set.1*

%changelog
* Sat Feb 11 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Mon Dec 19 2005 Dave Jones <davej@redhat.com>
- New upstream 0.4 release.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Jul 31 2005 Florian La Roche <laroche@redhat.com>
- package all files

* Mon May  9 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.3

* Fri Apr 22 2005 Matthias Saou <http://freshrpms.net/> 0.2-2
- Major spec file cleanup. (#155731)
- Use %%find_lang macro.
- Add missing sysfsutils-devel build requirement.

* Fri Apr 15 2005 Florian La Roche <laroche@redhat.com>
- remove empty preun script

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4.

* Sun Feb 27 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.2

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Rebuild with -D_FORTIFY_SOURCE=2

* Sat Dec  4 2004 Dave Jones <davej@redhat.com>
- Initial packaging

